CREATE TABLE tx_sgjobs_domain_model_job (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	-- Custom fields
	title text DEFAULT '' NOT NULL,
	job_id varchar(30) DEFAULT '' NOT NULL,
	task text DEFAULT '' NOT NULL,
	qualification text DEFAULT '' NOT NULL,
	alternative_start_date text DEFAULT '' NOT NULL,
	start_date int(11) unsigned DEFAULT '0' NOT NULL,
	company text DEFAULT '' NOT NULL,
	description text DEFAULT '' NOT NULL,
	department int(11) DEFAULT '0' NOT NULL,
	contact int(11) unsigned DEFAULT '0' NOT NULL,
	featured_offer tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hide_apply_by_email tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hide_apply_by_postal tinyint(4) unsigned DEFAULT '0' NOT NULL,

	-- TYPO3 fields
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

    -- TYPO3 workspace fields
	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,
	t3_origuid int(11) DEFAULT '0' NOT NULL,

	-- TYPO3 multi language fields
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)
);

CREATE TABLE tx_sgjobs_domain_model_department (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	-- Custom fields
	title text DEFAULT '' NOT NULL,

	-- TYPO3 fields
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

    -- TYPO3 workspace fields
	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,
	t3_origuid int(11) DEFAULT '0' NOT NULL,

	-- TYPO3 multi language fields
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)
);

CREATE TABLE tx_sgjobs_domain_model_company (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	-- Custom fields
	city varchar(255) DEFAULT '' NOT NULL,
	zip varchar(255) DEFAULT '' NOT NULL,
	name varchar(255) DEFAULT '' NOT NULL,
	street varchar(255) DEFAULT '' NOT NULL,
	country varchar(255) DEFAULT '' NOT NULL,
	description text DEFAULT '' NOT NULL,
	contact int(11) unsigned DEFAULT '0' NOT NULL,
	job_id text DEFAULT '' NOT NULL,

	-- TYPO3 fields
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

    -- TYPO3 workspace fields
	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,
	t3_origuid int(11) DEFAULT '0' NOT NULL,

	-- TYPO3 multi language fields
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)
);

CREATE TABLE tx_sgjobs_domain_model_contact (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	-- Custom fields
	title varchar(255) DEFAULT '' NOT NULL,
	first_name varchar(255) DEFAULT '' NOT NULL,
	last_name varchar(255) DEFAULT '' NOT NULL,
	street varchar(255) DEFAULT '' NOT NULL,
	city varchar(255) DEFAULT '' NOT NULL,
	zip varchar(255) DEFAULT '' NOT NULL,
	email varchar(255) DEFAULT '' NOT NULL,
	phone varchar(255) DEFAULT '' NOT NULL,
	hide_in_frontend tinyint(4) unsigned DEFAULT '0' NOT NULL,

	-- TYPO3 fields
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

    -- TYPO3 workspace fields
	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,
	t3_origuid int(11) DEFAULT '0' NOT NULL,

	-- TYPO3 multi language fields
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)
);

CREATE TABLE tx_sgjobs_domain_model_job_application (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	-- Custom fields
	job_id text DEFAULT '' NOT NULL,
	job int(11) unsigned DEFAULT '0' NOT NULL,
	job_title text DEFAULT '' NOT NULL,
	company text DEFAULT '' NOT NULL,
	gender varchar(30) DEFAULT '' NOT NULL,
	first_name text DEFAULT '' NOT NULL,
	last_name text DEFAULT '' NOT NULL,
	street text DEFAULT '' NOT NULL,
	city text DEFAULT '' NOT NULL,
	zip varchar(255) DEFAULT '' NOT NULL,
	country text DEFAULT '' NOT NULL,
	nationality text DEFAULT '' NOT NULL,
	education text DEFAULT '' NOT NULL,
	birth_date text DEFAULT '' NOT NULL,
	phone text DEFAULT '' NOT NULL,
	mobile text DEFAULT '' NOT NULL,
	email text DEFAULT '' NOT NULL,
	message text DEFAULT '' NOT NULL,
	cover_letter int(11) unsigned DEFAULT '0' NOT NULL,
	certificate int(11) unsigned DEFAULT '0' NOT NULL,
	cv int(11) unsigned DEFAULT '0' NOT NULL,
	privacy_policy tinyint(4) unsigned DEFAULT '0' NOT NULL,

	-- TYPO3 fields
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

    -- TYPO3 workspace fields
	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,
	t3_origuid int(11) DEFAULT '0' NOT NULL,

	-- TYPO3 multi language fields
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)
);

#
# Table structure for table "tx_sgjobs_domain_model_country"
#
CREATE TABLE tx_sgjobs_domain_model_country (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	deleted smallint(6) DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	cn_iso_2 varchar(2) DEFAULT '' NOT NULL,
	cn_iso_3 varchar(3) DEFAULT '' NOT NULL,
	cn_iso_nr int(11) DEFAULT '0' NOT NULL,
	cn_parent_territory_uid int(11) DEFAULT '0' NOT NULL,
	cn_parent_tr_iso_nr int(11) DEFAULT '0' NOT NULL,
	cn_official_name_local varchar(128) DEFAULT '' NOT NULL,
	cn_official_name_en varchar(128) DEFAULT '' NOT NULL,
	cn_capital varchar(45) DEFAULT '' NOT NULL,
	cn_tldomain varchar(2) DEFAULT '' NOT NULL,
	cn_currency_uid int(11) DEFAULT '0' NOT NULL,
	cn_currency_iso_3 varchar(3) DEFAULT '' NOT NULL,
	cn_currency_iso_nr int(11) DEFAULT '0' NOT NULL,
	cn_phone int(11) DEFAULT '0' NOT NULL,
	cn_eu_member smallint(6) DEFAULT '0' NOT NULL,
	cn_uno_member smallint(6) DEFAULT '0' NOT NULL,
	cn_address_format smallint(6) DEFAULT '0' NOT NULL,
	cn_zone_flag smallint(6) DEFAULT '0' NOT NULL,
	cn_short_local varchar(70) DEFAULT '' NOT NULL,
	cn_short_en varchar(50) DEFAULT '' NOT NULL,
	cn_country_zones int(11) DEFAULT '0' NOT NULL,
  cn_short_de varchar(50) DEFAULT '' NOT NULL,
  cn_short_es varchar(50) DEFAULT '' NOT NULL,
  cn_short_fr varchar(50) DEFAULT '' NOT NULL,
  cn_short_it varchar(50) DEFAULT '' NOT NULL,
	PRIMARY KEY (uid)
);
